## org.apache.html.dom
Class HTMLOptionElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLOptionElementImpl

public class HTMLOptionElementImpl
extends HTMLElementImpl
implements HTMLOptionElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:58:02 $
Author:
  Assaf Arkin
See Also:
  `HTMLOptionElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLOptionElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`boolean` `getDefaultSelected()` Represents the value of the HTML selected attribute.
`boolean` `getDisabled()` The control is unavailable in this context.
`int` `getIndex()` The index of this `OPTION` in its parent `SELECT` , starting from 0.
`java.lang.String` `getLabel()` Option label for use in hierarchical menus.
`boolean` `getSelected()` Represents the current state of the corresponding form control, in an interactive user agent.
`java.lang.String` `getText()` The text contained within the option element.
`java.lang.String` `getValue()` The current form control value.
`void` `setDefaultSelected(boolean defaultSelected)`
`void` `setDisabled(boolean disabled)`
`void` `setIndex(int index)`
`void` `setLabel(java.lang.String label)`
`void` `setSelected(boolean selected)`
`void` `setText(java.lang.String text)`
`void` `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLOptionElementImpl

    public HTMLOptionElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultSelected

    public boolean getDefaultSelected()

  Description copied from interface: HTMLOptionElement
  Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. Changing `defaultSelected` , however, resets the state of the form control. See the selected attribute definition in HTML 4.0.
  Specified by:
    getDefaultSelected in interface HTMLOptionElement

### setDefaultSelected

    public void setDefaultSelected(boolean defaultSelected)

  Specified by:
    setDefaultSelected in interface HTMLOptionElement

### getText

    public java.lang.String getText()

  Description copied from interface: HTMLOptionElement
  The text contained within the option element.
  Specified by:
    getText in interface HTMLOptionElement

### setText

    public void setText(java.lang.String text)

### getIndex

    public int getIndex()

  Description copied from interface: HTMLOptionElement
  The index of this `OPTION` in its parent `SELECT` , starting from 0.
  Specified by:
    getIndex in interface HTMLOptionElement

### setIndex

    public void setIndex(int index)

### getDisabled

    public boolean getDisabled()

  Description copied from interface: HTMLOptionElement
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.
  Specified by:
    getDisabled in interface HTMLOptionElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface HTMLOptionElement

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: HTMLOptionElement
  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0.
  Specified by:
    getLabel in interface HTMLOptionElement

### setLabel

    public void setLabel(java.lang.String label)

  Specified by:
    setLabel in interface HTMLOptionElement

### getSelected

    public boolean getSelected()

  Description copied from interface: HTMLOptionElement
  Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.
  Specified by:
    getSelected in interface HTMLOptionElement

### setSelected

    public void setSelected(boolean selected)

  Specified by:
    setSelected in interface HTMLOptionElement

### getValue

    public java.lang.String getValue()

  Description copied from interface: HTMLOptionElement
  The current form control value. See the value attribute definition in HTML 4.0.
  Specified by:
    getValue in interface HTMLOptionElement

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface HTMLOptionElement

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.